summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2018-11-02 12:26:51 -0700
committerMatt Turner <mattst88@gentoo.org>2018-11-02 12:35:53 -0700
commit4a3bf90ab5e8f122f238d0d2237c910a76890989 (patch)
treeadc57cb196e22b634ea6423f65a70901c7e6ccfb /x11-base
parentsys-apps/ethtool: Removed old. (diff)
downloadgentoo-4a3bf90ab5e8f122f238d0d2237c910a76890989.tar.gz
gentoo-4a3bf90ab5e8f122f238d0d2237c910a76890989.tar.bz2
gentoo-4a3bf90ab5e8f122f238d0d2237c910a76890989.zip
x11-base/xorg-server: Remove empty directories better
Closes: https://bugs.gentoo.org/670158 Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'x11-base')
-rw-r--r--x11-base/xorg-server/xorg-server-1.20.3.ebuild2
-rw-r--r--x11-base/xorg-server/xorg-server-9999.ebuild2
2 files changed, 2 insertions, 2 deletions
diff --git a/x11-base/xorg-server/xorg-server-1.20.3.ebuild b/x11-base/xorg-server/xorg-server-1.20.3.ebuild
index b3a10716dcf..0f8072e2a4d 100644
--- a/x11-base/xorg-server/xorg-server-1.20.3.ebuild
+++ b/x11-base/xorg-server/xorg-server-1.20.3.ebuild
@@ -199,7 +199,7 @@ src_install() {
insinto /usr/share/portage/config/sets
newins "${FILESDIR}"/xorg-sets.conf xorg.conf
- [ -d "${ED}"/var/log ] && rmdir "${ED}"/var/log || die
+ find "${ED}"/var -type d -empty -delete || die
}
pkg_postinst() {
diff --git a/x11-base/xorg-server/xorg-server-9999.ebuild b/x11-base/xorg-server/xorg-server-9999.ebuild
index 3c10d062348..6f158c57aac 100644
--- a/x11-base/xorg-server/xorg-server-9999.ebuild
+++ b/x11-base/xorg-server/xorg-server-9999.ebuild
@@ -199,7 +199,7 @@ src_install() {
insinto /usr/share/portage/config/sets
newins "${FILESDIR}"/xorg-sets.conf xorg.conf
- [ -d "${ED}"/var/log ] && rmdir "${ED}"/var/log || die
+ find "${ED}"/var -type d -empty -delete || die
}
pkg_postinst() {